Functions | Variables

# void_cmd.cpp File Reference

Handling of void tiles. More...

`#include "stdafx.h"`
`#include "tile_cmd.h"`
`#include "command_func.h"`
`#include "viewport_func.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Functions
static void | DrawTile_Void (TileInfo *ti)
static int | GetSlopePixelZ_Void (TileIndex tile, uint x, uint y)
static Foundation | GetFoundation_Void (TileIndex tile, Slope tileh)
static CommandCost | ClearTile_Void (TileIndex tile, DoCommandFlag flags)
static void | GetTileDesc_Void (TileIndex tile, TileDesc *td)
static void | TileLoop_Void (TileIndex tile)
static void | ChangeTileOwner_Void (TileIndex tile, Owner old_owner, Owner new_owner)
static TrackStatus | GetTileTrackStatus_Void (TileIndex tile, TransportType mode, uint sub_mode, DiagDirection side)
static CommandCost | TerraformTile_Void (TileIndex tile, DoCommandFlag flags, int z_new, Slope tileh_new)
## Variables
const TileTypeProcs | _tile_type_void_procs

## Detailed Description

Handling of void tiles.

Definition in file void_cmd.cpp.

## Variable Documentation

const TileTypeProcs _tile_type_void_procs

Initial value:

     {
      DrawTile_Void,
      GetSlopePixelZ_Void,
      ClearTile_Void,
      NULL,
      GetTileDesc_Void,
      GetTileTrackStatus_Void,
      NULL,
      NULL,
      TileLoop_Void,
      ChangeTileOwner_Void,
      NULL,
      NULL,
      GetFoundation_Void,
      TerraformTile_Void,
    }